CREATE TABLE IF NOT EXISTS pedido (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  idcustomer char(12) DEFAULT '',
  idsalesman char(8) DEFAULT '',
  idbodega varchar(8) DEFAULT '',
  iduser varchar(8) DEFAULT '',
  idcc varchar(10) DEFAULT '',
  idzona varchar(9) DEFAULT '',
  t_ini varchar(20) DEFAULT NULL,
  t_fin varchar(20) DEFAULT NULL,
  pvp int default 1,  
  nota text,
  estado int(1) default 0,
  tipo int(1) default 0,
  descunit double default 0,
  subtx double default 0,
  subt0 double default 0,
  subtotal double default 0,
  iva double default 0,
  descuento double default 0,
  total double default 0,
  c_lat double default 0,
  c_lng double default 0,
  serie varchar (6) default '001001',
  efectivo  numeric(12,2) default 0,
  numdoc varchar (15) default '',
  idbank varchar (8) default '',
  cuenta varchar(20) default '',
  numero int(9) default 0,
  cliente varchar(140) DEFAULT '',
  comercio varchar(140) DEFAULT '',
  address varchar(200) DEFAULT '',
  ruc varchar(20) DEFAULT '',
  phone varchar(20) DEFAULT '',
  city varchar(40) DEFAULT '',
  email varchar(100) DEFAULT '',
  accion int default 0,
  idtipoventa varchar(8) DEFAULT '00000001',
  formapago int default 11
) ;

CREATE INDEX IF NOT EXISTS iidcustomer ON pedido (idcustomer);
CREATE INDEX IF NOT EXISTS iidsalesman ON pedido (idsalesman);
CREATE INDEX IF NOT EXISTS iidbodega ON pedido (idbodega);
CREATE INDEX IF NOT EXISTS iidcc ON pedido (idcc);
CREATE INDEX IF NOT EXISTS iizona ON pedido (idzona);

CREATE TABLE IF NOT EXISTS pedidodet (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  idpedido int(11) default 0,
  linea	int default 0,
  iditem char(12) default '',
  precio double default 0,
  iva int(1) default 1,
  ok int(1) default 0,
  descunit double default 0,  
  cantidad double default 0,
  bultos double default 0,
  unidades double default 0,
  uc double default 1, 
  pvp int default 1, 
  subtotal double default 0,
  iditemprom varchar(12) default '',
  cantprom double default 0,
  fechaentrega varchar(20),
  lprom bool default 0,
  nota text
);
CREATE INDEX IF NOT EXISTS iidpedido ON pedidodet (idpedido,linea);


CREATE TABLE IF NOT EXISTS cxc (
  id INTEGER PRIMARY KEY AUTOINCREMENT,
  referencia varchar(30),
  fecha date,
  vence date,
  total double default 0,
  saldo double default 0,
  cuota int default 1,
  idcustomer varchar(12) default ''
);
CREATE INDEX IF NOT EXISTS icxc ON cxc (idcustomer);

